/*
 * A random number library for MPI projects at the
 * University of Warsaw.
 *
 * Packaged by Konrad Iwanicki.
 *
 * The implementation is a subset of
 * a C-program for MT19937-64 (2004/9/29 version)
 * coded by Takuji Nishimura and Makoto Matsumoto.
 * (see rlib.c).
 *
 */
#ifndef __MIMUW_MPI_RLIB_H__
#define __MIMUW_MPI_RLIB_H__


#ifdef __cplusplus
extern "C"
{
#endif


/** Initializes the random number generator with a given seed. */
void init_genrand64(unsigned long long seed);

/** Generates a random number from the [0, 2^64-1] interval. */
unsigned long long genrand64_int64(void);


#ifdef __cplusplus
}
#endif

#endif /* __MIMUW_MPI_RLIB_H__ */

